: ** z:\hst\smpe\cblftpz.cmd ***    L=003 --- 2011/09/09 14:59:24  (L05)  =hd=
@echo off
goto start


** Copyright Notice **
----------------------------------------------------------------------------
  Copyright (C) 2011 - Compute (Bridgend) Ltd.   All rights reserved.       &: =hd=

                                              Tel: +44 (0)1656 652222
                                              Eml:    support@cbl.com
                                              Web:        www.cbl.com
----------------------------------------------------------------------------



** History of Changes **


  L=003 2011/09/09 -nbj- Support prompt for input parameters.
  L=002 2011/03/18 -nbj- Additional help text and pause.
  L=001 2011/02/16 -nbj- written.



** Testing **
<dos   cblftpz
 equ   pass   _
<dos   copo %fid% "c:\Documents and Settings\NBJ\My Documents\CBL11091"
<dos   cblftpz  zos  NBJ  %pass%  c:\nbj\CBL11046  /u/smpe/smpnts  CBL11046
<dir                              c:\nbj





:help
echo.
echo Calls MS Windows FTP client to transfer CBL SELCOPY Product Suite SMP/E
echo install directories from the local MS Windows workstation to a nominated
echo HFS directory on the z/OS host.
echo.
echo Execute by selecting CBLFTPZ.cmd from a Windows Explorer view and respond
echo to the prompts.
echo.
echo Alternatively, open a Windows command prompt
echo (Start-^>Programs-^>Accessories-^>Command Prompt) or Run Window (Start-^>Run...),
echo then execute cblftpz optionally with parameters supplied as described below.
echo.
echo Format:   cblftpz  ^<host^>  ^<userid^>  ^<pass^>  ^<local_dir^>  ^<host_dir^>  ^<package_id^>
echo.
echo    ^<host^>
echo       The z/OS host id or IP address. (FTP Server)
echo.
echo    ^<userid^>
echo       The user's z/OS FTP logon id.
echo.
echo    ^<pass^>
echo       The user's z/OS FTP logon password.
echo.
echo    ^<local_dir^>
echo       Local drive:directory on the Windows workstation containing the
echo       unzipped product or service bundle files.
echo       e.g.   c:\tmp\CBL11046   or   c:\temp\X0000004
echo.
echo    ^<host_dir^>
echo       Full HFS directory path on the z/OS host.
echo       Note: Do not specify a trailing '/' (slash) on the path name.
echo       e.g.   /u/smpe/smpnts
echo.
echo    ^<package_id^>
echo       The 8-character CBL product software or service bundle package id.
echo       e.g.   CBL11046   or   X0000004
echo.
echo       A sub-directory of this name will be created on the z/OS host
echo       HFS file system under directory specified by ^<host_dir^>.
echo.
echo Example:  cblftpz  ZOSA  NBJ  01234  c:\tmp\CBL11046  /u/home/nbj  CBL11046
echo.
pause
goto end




:start
echo.
echo ----------------------------------------------------------------------------
echo   Copyright (C) 2011 - Compute (Bridgend) Ltd.   All rights reserved.       &: =hd=
echo.
echo                                               Tel: +44 (0)1656 652222
echo                                               Eml:    support@cbl.com
echo                                               Web:        www.cbl.com
echo ----------------------------------------------------------------------------
echo.
echo The cblftpz Windows command script is distributed as part of a SELCOPY Product
echo Suite install package or service package .Zip archive, and is used to transfer
echo the product (or service) SMP/E install files and directories from the local
echo Windows workstation to a nominated HFS directory on the z/OS host.
echo.
echo Download and explicitly unzip (extract) the required install or service package
echo .Zip archive from the CBL web pages to a new folder on your Windows workstation.
echo Then execute the cblftpz command script from the extracted folder.
echo.
echo Note:
echo  You *must* extract all files from the archive and execute cblftpz from the
echo  extracted folder.  i.e. Do not attempt to execute cblftpz from a Windows
echo  temporary folder.  A Windows temporary folder is created when...
echo.
echo    1.  The .zip archive is opened directly from the web link.
echo.
echo    2.  The contents of the .zip archive are displayed in a Windows Explorer
echo        view without first selecting "Extract all Files".
echo.
echo cblftpz will prompt the user for input parameters before invoking the Microsoft
echo Windows FTP client software to perform the file transfer to the z/OS host.
echo.
echo Hit ^<CTRL^>+C to cancel if you do not wish to proceed.
echo.
pause



  if '%1'=='/?'                              goto help
:parm1
  if '%1'==''                                goto err-parm1
  set host=%1
  if not '%host%'=='%1'                      goto err-env
:parm2
  if '%2'==''                                goto err-parm2
  set user=%2
  if not '%user%'=='%2'                      goto err-env
:parm3
  if '%3'==''                                goto err-parm3
  set pass=%3
  if not '%pass%'=='%3'                      goto err-env
:parm4
  if '%4'==''                                goto err-parm4
  set wdir=%4
  if not '%wdir%'=='%4'                      goto err-env
:parm5
  if '%5'==''                                goto err-parm5
  set zdir=%5
  if not '%zdir%'=='%5'                      goto err-env
:parm6
  if '%6'==''                                goto err-parm6
  set pkid=%6
  if not '%pkid%'=='%6'                      goto err-env
:gotparms

  set q=echo
  if not    '%q%'=='echo'                    goto err-env

  set c="%wdir:"=%\cblftpz.tmp"&
  if not    '%c%'=='"%wdir:"=%\cblftpz.tmp"' goto err-env






:ftp
cls
echo.
echo ----------------------------------------------------------------------------
echo cblftpz is about to invoke FTP to transfer all files and subdirectories from
echo the nominated Windows directory to the nominated z/OS host directory path.
echo.
echo Selected paremeters are as follow...
echo.
echo     Windows Directory    (Source)     : %wdir%
echo.
echo     z/OS Host FTP Server              : %host%
echo     z/OS TSO/FTP login userid         : %user%
echo     z/OS TSO/FTP login password       : ********
echo     z/OS Host Directory  (Destination): %zdir%/%pkid%
echo.
echo Hit ^<CTRL^>+C to cancel if you do not wish to proceed.
echo.
pause

 >%c% %q% %user%
>>%c% %q% %pass%
>>%c% %q% MKDIR %zdir%/%pkid%
>>%c% %q% MKDIR %zdir%/%pkid%/SMPHOLD
>>%c% %q% MKDIR %zdir%/%pkid%/SMPPTFIN
>>%c% %q% MKDIR %zdir%/%pkid%/SMPRELF
>>%c% %q% LCD   %wdir%
>>%c% %q% CD    %zdir%/%pkid%
>>%c% %q% PROMPT
>>%c% %q% BINARY
>>%c% %q% MPUT *
>>%c% %q% LCD      SMPHOLD
>>%c% %q% CD       SMPHOLD
>>%c% %q% MPUT *
>>%c% %q% LCD   ..\SMPPTFIN
>>%c% %q% CD    ../SMPPTFIN
>>%c% %q% MPUT *
>>%c% %q% LCD   ..\SMPRELF
>>%c% %q% CD    ../SMPRELF
>>%c% %q% MPUT *
>>%c% %q% QUIT

  ftp -s:%c%  %host%     > "%wdir:"=%\cblftpz.txt"
  type                     "%wdir:"=%\cblftpz.txt"  | more

  echo.   & echo.
  echo -------------------------------------------------------------------------------
  echo cblftpz:  Executed FTP commands and responses have been saved to the following
  echo           file for your reference:
  echo.
  echo            "%wdir:"=%\cblftpz.txt"
  echo.
  echo           cblftpz procedure is complete.  Thankyou
  echo ---------------------------------- End ----------------------------------------
  pause
  goto   cleanup





:err-parm1                                                           **
  echo.   & echo.
  echo -------------------------------------------------------------------------------
  echo cblftpz:  Enter your z/OS FTP server host id or IP address.
  echo           (e.g. ZOSA.CBL.COM  or  10.10.10.22)
:err-parm1a
  echo.
  set /p  host=z/OS FTP Server ------^> &
  if '%host%' == ''   goto err-parm1a
  echo -------------------------------------------------------------------------------
  goto parm2

:err-parm2                                                           **
  echo.   & echo.
  echo -------------------------------------------------------------------------------
  echo cblftpz:  Enter your z/OS TSO/FTP logon userid or ^<ENTER^> to accept the default.
  echo           (e.g. CBLUSER)
  echo.
  set /p  user=Userid (default %USERNAME%) ------^> &
  if '%user%' == ''   set user=%USERNAME%
  echo -------------------------------------------------------------------------------
  goto parm3

:err-parm3                                                           **
  echo.   & echo.
  echo -------------------------------------------------------------------------------
  echo cblftpz:  Enter your z/OS TSO/FTP logon password.  (e.g. MYPA55)
:err-parm3a
  echo.
  set /p  pass=Password ------^> &
  if '%pass%' == ''   goto err-parm3a
  echo -------------------------------------------------------------------------------
  goto parm4

:err-parm4                                                           **
  echo.   & echo.
  echo -------------------------------------------------------------------------------
  echo cblftpz:  Enter the complete MS Windows drive:directory into which the product
  echo           or service package archives have been unzipped.
  echo           Alternatively, hit ^<ENTER^> to accept the default.
  echo.
  echo        Notes:
  echo           1. Do not specify a trailing '/' (slash) on the directory name.
  echo           2. Quotes are required for folder names containing blanks.
  echo              (e.g. "c:\Documents and Settings\JohnJ\My Documents\CBL11091")
  echo.
  set /p  wdir=Windows Dir (default %CD%) ------^> &
  if '%wdir%' == ''        set wdir=%CD%
  echo -------------------------------------------------------------------------------
  goto parm5

:err-parm5                                                           **
  echo.   & echo.
  echo -------------------------------------------------------------------------------
  echo cblftpz:  Enter the destination z/OS host HFS/ZFS directory path or ^<ENTER^> to
  echo           accept the default.
  echo.
  echo           Note: Do not specify a trailing '/' (slash) on the path name.
  echo                 (e.g.  /u/smpe/smpnts)
  echo.
  set /p  zdir=z/OS Host Dir (default /u/smpe/smpnts) ------^> &
  if '%zdir%' == ''          set zdir=/u/smpe/smpnts
  echo -------------------------------------------------------------------------------
  goto parm6

:err-parm6                                                           **
  echo.   & echo.
  echo -------------------------------------------------------------------------------
  echo cblftpz:  Enter the 8-character CBL product software or service bundle package
  echo           id.  (e.g.  CBL11046  or  X0000004)
  echo.
  echo           A sub-directory of this name will be created on the z/OS host
  echo           HFS file system under directory %zdir%.
:err-parm6a
  echo.
  set /p  pkid=Package Id ------^> &
  if '%pkid%' == ''   goto err-parm6a
  echo -------------------------------------------------------------------------------
  goto gotparms


:err-env                                                             **
  echo.
  echo cblftpz: Error.. Out of Windows environment space.


:cleanup                                                             **
  set  c=
  set  q=
  set  host=
  set  user=
  set  pass=
  set  wdir=
  set  zdir=
  set  pkid=
  goto end

:end                                                                 **
:                                ---End---
